Bug 247891 - devel/py-zclockfile: Update to 2.0
Summary: devel/py-zclockfile: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/zopefoundation/zc....
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-10 11:03 UTC by Kai Knoblich
Modified: 2020-07-29 06:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (zope)


Attachments
py-zclockfile-2.0.patch (1.23 KB, patch)
2020-07-10 11:03 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-07-10 11:03:07 UTC
Created attachment 216360 [details]
py-zclockfile-2.0.patch

Hi,

attached is the patch that updates devel/py-zclockfile to 2.0

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Add a "do-test" target to make future QA easier

QA:
~~~
- poudriere -> OK (11.3-RELEASE amd64 for each py27, py35, py36, py37 and py38 flavor)
Comment 1 Automation User 2020-07-25 00:11:35 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/170631978
Comment 2 Kai Knoblich freebsd_committer 2020-07-29 06:11:51 UTC
Comment on attachment 216360 [details]
py-zclockfile-2.0.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout.
Comment 3 commit-hook freebsd_committer 2020-07-29 06:18:14 UTC
A commit references this bug:

Author: kai
Date: Wed Jul 29 06:18:09 UTC 2020
New revision: 543646
URL: https://svnweb.freebsd.org/changeset/ports/543646

Log:
  devel/py-zclockfile: Update to 2.0

  * Add a "do-test" target to make future QA easier while I'm here.

  Changelog:

  https://github.com/zopefoundation/zc.lockfile/blob/2.0/CHANGES.rst

  PR:		247891
  Approved by:	maintainer timeout (14+ days)
  MFH:		No (contains API incompatible changes)

Changes:
  head/devel/py-zclockfile/Makefile
  head/devel/py-zclockfile/distinfo